import request from '@/services/http.request.js'

/**
 *小程序支付-微信支付
 *@param  amount支付金额，单位分，必须大于2
 *@param  payWay银联：UNIONPAY，微信：WEIXIN，支付宝：ALIPAY
 *@param  payType 微信小程序支付: MINIAPP_WEIXIN ,微信公众号支付: JSAPI_WEIXIN
 *@param  code  微信小程序code,微信小程序支付使用
 *@param  orderId  主订单ID
 */
export function wechatMiniWxPay(data) {
	return request({
		url: '/PayOrder/miniWxPay',
		method: 'POST',
		data,
        loading: '支付中'
	})
}

/* 小程序线上支付开关 */
export function checkPayOnlineSwitch() {
	return request({
		url: '/PayOrder/onLineSwitch',
		method: 'GET'
	})
}
